org.apache.ignite.internal.processors.closure

## Enum GridClosurePolicy

- java.lang.Object
- - java.lang.Enum<GridClosurePolicy>
  - - org.apache.ignite.internal.processors.closure.GridClosurePolicy

All Implemented Interfaces:
  Serializable, Comparable<GridClosurePolicy>

    public enum GridClosurePolicy
    extends Enum<GridClosurePolicy>

This enumeration defines different types of closure processing by the closure processor.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`IGFS_POOL` IGFS pool.
`P2P_POOL` P2P execution pool.
`PUBLIC_POOL` Public execution pool.
`SYSTEM_POOL` System execution pool.

### Method Summary

Methods
`static GridClosurePolicy` `fromOrdinal(int ord)` Efficiently gets enumerated value from its ordinal.
`static GridClosurePolicy` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GridClosurePolicy[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PUBLIC_POOL

    public static final GridClosurePolicy PUBLIC_POOL

Public execution pool.

#### P2P_POOL

    public static final GridClosurePolicy P2P_POOL

P2P execution pool.

#### SYSTEM_POOL

    public static final GridClosurePolicy SYSTEM_POOL

System execution pool.

#### IGFS_POOL

    public static final GridClosurePolicy IGFS_POOL

IGFS pool.

### Method Detail

#### values

    public static GridClosurePolicy[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GridClosurePolicy c : GridClosurePolicy.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GridClosurePolicy valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static GridClosurePolicy fromOrdinal(int ord)

Efficiently gets enumerated value from its ordinal.

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015